package javax.management.remote;

import java.util.Map;
import java.io.IOException;

public interface JMXConnectorServerMBean
{
    public abstract void start() throws IOException;
    
    public abstract void stop() throws IOException;
    
    public abstract boolean isActive();
    
    public abstract void setMBeanServerForwarder(MBeanServerForwarder p0);
    
    public abstract String[] getConnectionIds();
    
    public abstract JMXServiceURL getAddress();
    
    public abstract Map<String, ?> getAttributes();
    
    public abstract JMXConnector toJMXConnector(Map<String, ?> p0) throws IOException;
}
